{
  description = "Gitea customisations";

  inputs.nixpkgs.url = github:nixos/nixpkgs/nixpkgs-unstable;

  outputs = { self, nixpkgs }:
    let
      pkgs = nixpkgs.legacyPackages.x86_64-linux;
    in {
      defaultPackage.x86_64-linux = pkgs.stdenv.mkDerivation {
        name = "gitea-custom";
        version = "1";

        src = fetchGit {
          url = "https://projects.blender.org/infrastructure/gitea-custom.git";
          rev = "a56cbb18384a7cce4a657ad605987de9c211b98b";
        };

        installPhase = ''
          customDir=var/lib/gitea/custom/public
          mkdir -p $out/$customDir
          cp -r $src/public/css $out/$customDir/css
          cp -r ${./public/img} $out/$customDir/img
        '';
      };
    };
}
